---
apiVersion: v1
kind: Service
metadata:
  labels:
    container: emulatorjs
  name: emulatorjs
spec:
  clusterIP: None
  ports: []
  selector:
    container: emulatorjs
    is-container: 'true'
  type: ClusterIP

---
apiVersion: v1
kind: Service
metadata:
  labels:
    container: emulatorjs
  name: emulatorjs-nirvati-ingress
spec:
  ports:
  - name: emulatorjs-nirvati-ingress-80-tcp
    port: 80
    targetPort: 80
  selector:
    container: emulatorjs
    is-container: 'true'
  type: ClusterIP

---
apiVersion: v1
kind: Service
metadata:
  annotations:
    metallb.universe.tf/address-pool: tailscale
    metallb.universe.tf/allow-shared-ip: ip_set_tailscale
  name: nirvati-internal-emulatorjs-public-tailscale
spec:
  ports:
  - name: emulatorjs-public-8165-tcp
    port: 8165
    targetPort: 3000
  selector:
    container: emulatorjs
    is-container: 'true'
  type: LoadBalancer

---
apiVersion: v1
kind: Service
metadata:
  annotations:
    metallb.universe.tf/address-pool: default
    metallb.universe.tf/allow-shared-ip: ip_set_main
  labels:
    container: emulatorjs
  name: emulatorjs-public
spec:
  ports:
  - name: emulatorjs-public-8165-tcp
    port: 8165
    targetPort: 3000
  selector:
    container: emulatorjs
    is-container: 'true'
  type: LoadBalancer

